%define dist BerkeleyDB
Name: perl-%dist
Version: 0.25
Release: alt2

Summary: Perl bindings to Berkeley DB version 2.x and greater
Group: Development/Perl
License: GPL or Artistic

Url: %CPAN %dist
Source: %dist-%version.tar.bz2

# Automatically added by buildreq on Fri Feb 13 2004
BuildRequires: libdb4.2-devel perl-MLDBM perl-devel

%description
BerkeleyDB is a module which allows Perl programs to make use
of the facilities provided by Berkeley DB version 2 or 3.
(Note: if you want to use version 1 of Berkeley DB with Perl
you need the DB_File module).

Berkeley DB is a C library which provides a consistent interface
to a number of database formats. BerkeleyDB provides an interface
to all four of the database types (hash, btree, queue and recno)
currently supported by Berkeley DB.

%prep
%setup -q -n %dist-%version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README Todo
%perl_vendor_archlib/BerkeleyDB*
%perl_vendor_autolib/BerkeleyDB*
%perl_vendor_man3dir/*

%changelog
* Fri Feb 13 2004 Alexey Tourbin <at@altlinux.ru> 0.25-alt2
- rebuilt against libdb4.2

* Sun Nov 16 2003 Alexey Tourbin <at@altlinux.ru> 0.25-alt1
- 0.25: a bug fixed as I reported (test suite was broken with perl-5.8.1);
  it does not apply to perl-5.8.2, though
- test base extended (BuildRequires: perl-MLDBM)

* Fri Oct 03 2003 Alexey Tourbin <at@altlinux.ru> 0.24-alt1
- 0.24

* Thu Sep 04 2003 Alexey Tourbin <at@altlinux.ru> 0.23-alt2
- build explicitely with libdb4.0

* Thu Jun 26 2003 Stanislav Ievlev <inger@altlinux.ru> 0.23-alt1
- 0.23

* Mon Nov 04 2002 Stanislav Ievlev <inger@altlinux.ru> 0.20-alt1
- rebuild with new perl

* Wed Apr 03 2002 Stanislav Ievlev <inger@altlinux.ru> 0.18-alt1
- 0.18
- Build with db4

* Thu Sep 20 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.16-alt1
- Initial revision.
